Gramps 4.2.8 released

classic Classic list List threaded Threaded
20 messages Options
Reply | Threaded
Open this post in threaded view
|

Gramps 4.2.8 released

Nick Hall
Version 4.2.8, a new maintenance release, has been released.

Make sure to backup before you upgrade.

See:
https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup

Changes since 4.2.7:

* Fix Geography views for bad 'dbstate.is_open()' test


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Peter (chamdo4ever)
Thank you -- where can I find the .deb file for 4.2.8?

Thanks,

Peter

On Fri, Feb 9, 2018 at 4:41 PM, Nick Hall <[hidden email]> wrote:

> Version 4.2.8, a new maintenance release, has been released.
>
> Make sure to backup before you upgrade.
>
> See:
> https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup
>
> Changes since 4.2.7:
>
> * Fix Geography views for bad 'dbstate.is_open()' test
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
> https://gramps-project.org

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Josip
In reply to this post by Nick Hall
9.2.2018. u 22:41, Nick Hall je napisao/la:
> Version 4.2.8, a new maintenance release, has been released.
>
> Make sure to backup before you upgrade.

64-bit Windows version available as:
GrampsAIO-4.2.8-1_win64.exe

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Ross Gammon
In reply to this post by Peter (chamdo4ever)
The deb file is now uploaded to the usual place.

On 02/10/2018 12:23 AM, Peter (chamdo4ever) wrote:

> Thank you -- where can I find the .deb file for 4.2.8?
>
> Thanks,
>
> Peter
>
> On Fri, Feb 9, 2018 at 4:41 PM, Nick Hall <[hidden email]> wrote:
>> Version 4.2.8, a new maintenance release, has been released.
>>
>> Make sure to backup before you upgrade.
>>
>> See:
>> https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup
>>
>> Changes since 4.2.7:
>>
>> * Fix Geography views for bad 'dbstate.is_open()' test
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Gramps-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>> https://gramps-project.org
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
> https://gramps-project.org
>


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org

signature.asc (817 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

GRAMPS - User mailing list
In reply to this post by Nick Hall

Hi Nick

Downloaded 4.2.8 to my Ubuntu 16.04 laptop and now I cannot resize the
Descendant Lines-Graphical Reports-Gramps options screen the bottom is
off screen and nothing I can do brings it back on so Help Cancel and OK
are missing anybody else had this problem

Regards
Phil
MLFHS 12583
Dumfries
On 09/02/2018 21:41, Nick Hall wrote:

> Version 4.2.8, a new maintenance release, has been released.
>
> Make sure to backup before you upgrade.
>
> See:
> https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup
>
> Changes since 4.2.7:
>
> * Fix Geography views for bad 'dbstate.is_open()' test
>
>
> ------------------------------------------------------------------------------
>
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
> https://gramps-project.org
>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Nick Hall
On 10/02/18 15:38, phil wharram wrote:
> Downloaded 4.2.8 to my Ubuntu 16.04 laptop and now I cannot resize the
> Descendant Lines-Graphical Reports-Gramps options screen the bottom is
> off screen and nothing I can do brings it back on so Help Cancel and
> OK are missing anybody else had this problem


This is a third-party addon and is not part of core Gramps.

However, I can see  some recent updates:

https://github.com/gramps-project/addons-source/pull/100

https://github.com/gramps-project/addons-source/pull/103


I suggest that you open a bug report.

https://gramps-project.org/bugs


Regards,


Nick.



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Peter (chamdo4ever)
In reply to this post by Ross Gammon
Thank you Ross... strangely, I'm getting this warning which makes me
hesitate to install it (still Ubuntu 14.04):

The installation of a package which violates the quality standards
isn't allowed. This could cause serious problems on your computer.
Please contact the person or organisation who provided this package
file and include the details beneath.

Details:
Lintian check results for
/home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb:
no entry control.tar.gz in archive

gzip: stdin: unexpected end of file
/bin/tar: Child returned status 1
/bin/tar: Error is not recoverable: exiting now


On Sat, Feb 10, 2018 at 2:45 AM, Ross Gammon <[hidden email]> wrote:

> The deb file is now uploaded to the usual place.
>
> On 02/10/2018 12:23 AM, Peter (chamdo4ever) wrote:
>> Thank you -- where can I find the .deb file for 4.2.8?
>>
>> Thanks,
>>
>> Peter
>>
>> On Fri, Feb 9, 2018 at 4:41 PM, Nick Hall <[hidden email]> wrote:
>>> Version 4.2.8, a new maintenance release, has been released.
>>>
>>> Make sure to backup before you upgrade.
>>>
>>> See:
>>> https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup
>>>
>>> Changes since 4.2.7:
>>>
>>> * Fix Geography views for bad 'dbstate.is_open()' test
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Gramps-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>> https://gramps-project.org
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Gramps-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>> https://gramps-project.org
>>
>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
> https://gramps-project.org

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

prculley
In reply to this post by GRAMPS - User mailing list
It looks like the Descendant Lines-Graphical Reports-Gramps options screen is larger than our standard size; I assume that you have a small screen?  On my system it is about 780 pix tall.  If your screen is large enough, maybe you can move the dialog closer to the top.

We will have to see if the author will rearrange the dialog so that there are fewer options on each page, to make the pages smaller..

On my system the Alt-'O' will activate the 'Ok' button and Alt-'C' the 'Cancel' and Alt-'H' for Help.  Maybe you can use this in the meantime.

Paul C.

On Sat, Feb 10, 2018 at 9:38 AM, phil wharram via Gramps-users <[hidden email]> wrote:

Hi Nick

Downloaded 4.2.8 to my Ubuntu 16.04 laptop and now I cannot resize the Descendant Lines-Graphical Reports-Gramps options screen the bottom is off screen and nothing I can do brings it back on so Help Cancel and OK are missing anybody else had this problem

Regards
Phil
MLFHS 12583
Dumfries

On 09/02/2018 21:41, Nick Hall wrote:
Version 4.2.8, a new maintenance release, has been released.

Make sure to backup before you upgrade.

See: https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup

Changes since 4.2.7:

* Fix Geography views for bad 'dbstate.is_open()' test


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Ross Gammon
In reply to this post by Peter (chamdo4ever)
Hi Peter,

The deb package on the gramps website is build using the /debian
directory that Jerome was managing in Github. It has not been updated
for a while, does not follow the latest Debian policy, and therefore
generates many lintian warnings.

One of the many warnings, is that the package name is wrong. It should
be gramps, not python3-gramps. If I find time, I will merge in the
latest Debian changes, into the gramps project version.

But you can safely install it. The warnings are mainly cosmetic
packaging things. It has been like this all the way though the 4.2.x
series, and Gramps will work fine.

If you prefer, you can wait until I upload the same package that I
upload to Debian into my Ubuntu backports ppa. It has been automatically
synced from Debian to Ubuntu already, but I just need to wait until it
moves from Bionic proposed, to Bionic released.

Regards,

Ross

On 02/10/2018 05:30 PM, Peter (chamdo4ever) wrote:

> Thank you Ross... strangely, I'm getting this warning which makes me
> hesitate to install it (still Ubuntu 14.04):
>
> The installation of a package which violates the quality standards
> isn't allowed. This could cause serious problems on your computer.
> Please contact the person or organisation who provided this package
> file and include the details beneath.
>
> Details:
> Lintian check results for
> /home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb:
> no entry control.tar.gz in archive
>
> gzip: stdin: unexpected end of file
> /bin/tar: Child returned status 1
> /bin/tar: Error is not recoverable: exiting now
>
>
> On Sat, Feb 10, 2018 at 2:45 AM, Ross Gammon <[hidden email]> wrote:
>> The deb file is now uploaded to the usual place.
>>
>> On 02/10/2018 12:23 AM, Peter (chamdo4ever) wrote:
>>> Thank you -- where can I find the .deb file for 4.2.8?
>>>
>>> Thanks,
>>>
>>> Peter
>>>
>>> On Fri, Feb 9, 2018 at 4:41 PM, Nick Hall <[hidden email]> wrote:
>>>> Version 4.2.8, a new maintenance release, has been released.
>>>>
>>>> Make sure to backup before you upgrade.
>>>>
>>>> See:
>>>> https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup
>>>>
>>>> Changes since 4.2.7:
>>>>
>>>> * Fix Geography views for bad 'dbstate.is_open()' test
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>> _______________________________________________
>>>> Gramps-users mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>>> https://gramps-project.org
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Gramps-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>> https://gramps-project.org
>>>
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Gramps-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>> https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org

signature.asc (817 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Nick Hall
On 10/02/18 17:38, Ross Gammon wrote:
> The deb package on the gramps website is build using the /debian
> directory that Jerome was managing in Github. It has not been updated
> for a while, does not follow the latest Debian policy, and therefore
> generates many lintian warnings.

Ross,

What changes are required?

Would you be willing to take over this task?


Nick.


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Peter (chamdo4ever)
In reply to this post by Ross Gammon
Hi Ross,

Thank you -- I trust you and I tried to override the warnings and
simply install it, and received the errors below. 4.2.6 has been
working fine for me, so I don't mind waiting for your Ubuntu backports
ppa, or really until I upgrade to Ubuntu 18.04 -- I'm getting an
entirely new system this Spring and have been waiting to upgrade
Ubuntu until then.

Thanks,

Peter

Package operation failed

The installation or removal of a software package failed.

Details:
dpkg-deb: error: archive
'/home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb' has
premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive
/home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb (--install):
 subprocess dpkg-deb --control returned error exit status 2


On Sat, Feb 10, 2018 at 12:38 PM, Ross Gammon <[hidden email]> wrote:

> Hi Peter,
>
> The deb package on the gramps website is build using the /debian
> directory that Jerome was managing in Github. It has not been updated
> for a while, does not follow the latest Debian policy, and therefore
> generates many lintian warnings.
>
> One of the many warnings, is that the package name is wrong. It should
> be gramps, not python3-gramps. If I find time, I will merge in the
> latest Debian changes, into the gramps project version.
>
> But you can safely install it. The warnings are mainly cosmetic
> packaging things. It has been like this all the way though the 4.2.x
> series, and Gramps will work fine.
>
> If you prefer, you can wait until I upload the same package that I
> upload to Debian into my Ubuntu backports ppa. It has been automatically
> synced from Debian to Ubuntu already, but I just need to wait until it
> moves from Bionic proposed, to Bionic released.
>
> Regards,
>
> Ross
>
> On 02/10/2018 05:30 PM, Peter (chamdo4ever) wrote:
>> Thank you Ross... strangely, I'm getting this warning which makes me
>> hesitate to install it (still Ubuntu 14.04):
>>
>> The installation of a package which violates the quality standards
>> isn't allowed. This could cause serious problems on your computer.
>> Please contact the person or organisation who provided this package
>> file and include the details beneath.
>>
>> Details:
>> Lintian check results for
>> /home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb:
>> no entry control.tar.gz in archive
>>
>> gzip: stdin: unexpected end of file
>> /bin/tar: Child returned status 1
>> /bin/tar: Error is not recoverable: exiting now
>>
>>
>> On Sat, Feb 10, 2018 at 2:45 AM, Ross Gammon <[hidden email]> wrote:
>>> The deb file is now uploaded to the usual place.
>>>
>>> On 02/10/2018 12:23 AM, Peter (chamdo4ever) wrote:
>>>> Thank you -- where can I find the .deb file for 4.2.8?
>>>>
>>>> Thanks,
>>>>
>>>> Peter
>>>>
>>>> On Fri, Feb 9, 2018 at 4:41 PM, Nick Hall <[hidden email]> wrote:
>>>>> Version 4.2.8, a new maintenance release, has been released.
>>>>>
>>>>> Make sure to backup before you upgrade.
>>>>>
>>>>> See:
>>>>> https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup
>>>>>
>>>>> Changes since 4.2.7:
>>>>>
>>>>> * Fix Geography views for bad 'dbstate.is_open()' test
>>>>>
>>>>>
>>>>> ------------------------------------------------------------------------------
>>>>> Check out the vibrant tech community on one of the world's most
>>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>>> _______________________________________________
>>>>> Gramps-users mailing list
>>>>> [hidden email]
>>>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>>>> https://gramps-project.org
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>> _______________________________________________
>>>> Gramps-users mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>>> https://gramps-project.org
>>>>
>>>
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Gramps-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>> https://gramps-project.org
>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
> https://gramps-project.org

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Ross Gammon
Sorry Peter,

This looks like bug
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1730627

It is because I built the package for a newer release than Ubuntu
Trusty. The dpkg package in Trusty can't handle xz compression. The best
best is to wait until I have built a package in my ppa for 14.04, or
until someone has done an SRU (Stable Release Update) for dpkg as
proposed in the bug.

Or upgrade to 16.04 (LTS)? But read the release notes first to see what
other problems you might hit :-)

Regards,

Ross

On 02/10/2018 07:47 PM, Peter (chamdo4ever) wrote:

> Hi Ross,
>
> Thank you -- I trust you and I tried to override the warnings and
> simply install it, and received the errors below. 4.2.6 has been
> working fine for me, so I don't mind waiting for your Ubuntu backports
> ppa, or really until I upgrade to Ubuntu 18.04 -- I'm getting an
> entirely new system this Spring and have been waiting to upgrade
> Ubuntu until then.
>
> Thanks,
>
> Peter
>
> Package operation failed
>
> The installation or removal of a software package failed.
>
> Details:
> dpkg-deb: error: archive
> '/home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb' has
> premature member 'control.tar.xz' before 'control.tar.gz', giving up
> dpkg: error processing archive
> /home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb (--install):
>  subprocess dpkg-deb --control returned error exit status 2
>
>
> On Sat, Feb 10, 2018 at 12:38 PM, Ross Gammon <[hidden email]> wrote:
>> Hi Peter,
>>
>> The deb package on the gramps website is build using the /debian
>> directory that Jerome was managing in Github. It has not been updated
>> for a while, does not follow the latest Debian policy, and therefore
>> generates many lintian warnings.
>>
>> One of the many warnings, is that the package name is wrong. It should
>> be gramps, not python3-gramps. If I find time, I will merge in the
>> latest Debian changes, into the gramps project version.
>>
>> But you can safely install it. The warnings are mainly cosmetic
>> packaging things. It has been like this all the way though the 4.2.x
>> series, and Gramps will work fine.
>>
>> If you prefer, you can wait until I upload the same package that I
>> upload to Debian into my Ubuntu backports ppa. It has been automatically
>> synced from Debian to Ubuntu already, but I just need to wait until it
>> moves from Bionic proposed, to Bionic released.
>>
>> Regards,
>>
>> Ross
>>
>> On 02/10/2018 05:30 PM, Peter (chamdo4ever) wrote:
>>> Thank you Ross... strangely, I'm getting this warning which makes me
>>> hesitate to install it (still Ubuntu 14.04):
>>>
>>> The installation of a package which violates the quality standards
>>> isn't allowed. This could cause serious problems on your computer.
>>> Please contact the person or organisation who provided this package
>>> file and include the details beneath.
>>>
>>> Details:
>>> Lintian check results for
>>> /home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb:
>>> no entry control.tar.gz in archive
>>>
>>> gzip: stdin: unexpected end of file
>>> /bin/tar: Child returned status 1
>>> /bin/tar: Error is not recoverable: exiting now
>>>
>>>
>>> On Sat, Feb 10, 2018 at 2:45 AM, Ross Gammon <[hidden email]> wrote:
>>>> The deb file is now uploaded to the usual place.
>>>>
>>>> On 02/10/2018 12:23 AM, Peter (chamdo4ever) wrote:
>>>>> Thank you -- where can I find the .deb file for 4.2.8?
>>>>>
>>>>> Thanks,
>>>>>
>>>>> Peter
>>>>>
>>>>> On Fri, Feb 9, 2018 at 4:41 PM, Nick Hall <[hidden email]> wrote:
>>>>>> Version 4.2.8, a new maintenance release, has been released.
>>>>>>
>>>>>> Make sure to backup before you upgrade.
>>>>>>
>>>>>> See:
>>>>>> https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup
>>>>>>
>>>>>> Changes since 4.2.7:
>>>>>>
>>>>>> * Fix Geography views for bad 'dbstate.is_open()' test
>>>>>>
>>>>>>
>>>>>> ------------------------------------------------------------------------------
>>>>>> Check out the vibrant tech community on one of the world's most
>>>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>>>> _______________________________________________
>>>>>> Gramps-users mailing list
>>>>>> [hidden email]
>>>>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>>>>> https://gramps-project.org
>>>>>
>>>>> ------------------------------------------------------------------------------
>>>>> Check out the vibrant tech community on one of the world's most
>>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>>> _______________________________________________
>>>>> Gramps-users mailing list
>>>>> [hidden email]
>>>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>>>> https://gramps-project.org
>>>>>
>>>>
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>> _______________________________________________
>>>> Gramps-users mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>>> https://gramps-project.org
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Gramps-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>> https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org

signature.asc (817 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

GRAMPS - User mailing list
In reply to this post by prculley


Hi Paul

Thanks for that always forget the ALT options, had been getting it to
work by Tabbing Through so knew there was nothing wrong with the report

Do you think I should submit a bug report for this or will it be picked
up by the author

Regards
Phil
MLFHS 12583
Dumfries

On 10/02/2018 16:55, Paul Culley wrote:

> It looks like the Descendant Lines-Graphical Reports-Gramps options screen
> is larger than our standard size; I assume that you have a small screen?
> On my system it is about 780 pix tall.  If your screen is large enough,
> maybe you can move the dialog closer to the top.
>
> We will have to see if the author will rearrange the dialog so that there
> are fewer options on each page, to make the pages smaller..
>
> On my system the Alt-'O' will activate the 'Ok' button and Alt-'C' the
> 'Cancel' and Alt-'H' for Help.  Maybe you can use this in the meantime.
>
> Paul C.
>
> On Sat, Feb 10, 2018 at 9:38 AM, phil wharram via Gramps-users <
> [hidden email]> wrote:
>
>>
>> Hi Nick
>>
>> Downloaded 4.2.8 to my Ubuntu 16.04 laptop and now I cannot resize the
>> Descendant Lines-Graphical Reports-Gramps options screen the bottom is off
>> screen and nothing I can do brings it back on so Help Cancel and OK are
>> missing anybody else had this problem
>>
>> Regards
>> Phil
>> MLFHS 12583
>> Dumfries
>>
>> On 09/02/2018 21:41, Nick Hall wrote:
>>
>>> Version 4.2.8, a new maintenance release, has been released.
>>>
>>> Make sure to backup before you upgrade.
>>>
>>> See: https://www.gramps-project.org/wiki/index.php?title=How_to_
>>> make_a_backup
>>>
>>> Changes since 4.2.7:
>>>
>>> * Fix Geography views for bad 'dbstate.is_open()' test
>>>
>>>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Peter (chamdo4ever)
In reply to this post by Ross Gammon
Hi Ross,

No worries -- like I said, I'm hoping to get  a whole new system up
and running by May, and will be installing everything from scratch.
That will be the ideal time to upgrade Ubuntu and Gramps. In the mean
time, Gramps 4.2.6 has been serving me very well.

Thanks,

Peter

On Sun, Feb 11, 2018 at 4:17 AM, Ross Gammon <[hidden email]> wrote:

> Sorry Peter,
>
> This looks like bug
> https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1730627
>
> It is because I built the package for a newer release than Ubuntu
> Trusty. The dpkg package in Trusty can't handle xz compression. The best
> best is to wait until I have built a package in my ppa for 14.04, or
> until someone has done an SRU (Stable Release Update) for dpkg as
> proposed in the bug.
>
> Or upgrade to 16.04 (LTS)? But read the release notes first to see what
> other problems you might hit :-)
>
> Regards,
>
> Ross
>
> On 02/10/2018 07:47 PM, Peter (chamdo4ever) wrote:
>> Hi Ross,
>>
>> Thank you -- I trust you and I tried to override the warnings and
>> simply install it, and received the errors below. 4.2.6 has been
>> working fine for me, so I don't mind waiting for your Ubuntu backports
>> ppa, or really until I upgrade to Ubuntu 18.04 -- I'm getting an
>> entirely new system this Spring and have been waiting to upgrade
>> Ubuntu until then.
>>
>> Thanks,
>>
>> Peter
>>
>> Package operation failed
>>
>> The installation or removal of a software package failed.
>>
>> Details:
>> dpkg-deb: error: archive
>> '/home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb' has
>> premature member 'control.tar.xz' before 'control.tar.gz', giving up
>> dpkg: error processing archive
>> /home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb (--install):
>>  subprocess dpkg-deb --control returned error exit status 2
>>
>>
>> On Sat, Feb 10, 2018 at 12:38 PM, Ross Gammon <[hidden email]> wrote:
>>> Hi Peter,
>>>
>>> The deb package on the gramps website is build using the /debian
>>> directory that Jerome was managing in Github. It has not been updated
>>> for a while, does not follow the latest Debian policy, and therefore
>>> generates many lintian warnings.
>>>
>>> One of the many warnings, is that the package name is wrong. It should
>>> be gramps, not python3-gramps. If I find time, I will merge in the
>>> latest Debian changes, into the gramps project version.
>>>
>>> But you can safely install it. The warnings are mainly cosmetic
>>> packaging things. It has been like this all the way though the 4.2.x
>>> series, and Gramps will work fine.
>>>
>>> If you prefer, you can wait until I upload the same package that I
>>> upload to Debian into my Ubuntu backports ppa. It has been automatically
>>> synced from Debian to Ubuntu already, but I just need to wait until it
>>> moves from Bionic proposed, to Bionic released.
>>>
>>> Regards,
>>>
>>> Ross
>>>
>>> On 02/10/2018 05:30 PM, Peter (chamdo4ever) wrote:
>>>> Thank you Ross... strangely, I'm getting this warning which makes me
>>>> hesitate to install it (still Ubuntu 14.04):
>>>>
>>>> The installation of a package which violates the quality standards
>>>> isn't allowed. This could cause serious problems on your computer.
>>>> Please contact the person or organisation who provided this package
>>>> file and include the details beneath.
>>>>
>>>> Details:
>>>> Lintian check results for
>>>> /home/chamdo4ever/Downloads/python3-gramps_4.2.8_all.deb:
>>>> no entry control.tar.gz in archive
>>>>
>>>> gzip: stdin: unexpected end of file
>>>> /bin/tar: Child returned status 1
>>>> /bin/tar: Error is not recoverable: exiting now
>>>>
>>>>
>>>> On Sat, Feb 10, 2018 at 2:45 AM, Ross Gammon <[hidden email]> wrote:
>>>>> The deb file is now uploaded to the usual place.
>>>>>
>>>>> On 02/10/2018 12:23 AM, Peter (chamdo4ever) wrote:
>>>>>> Thank you -- where can I find the .deb file for 4.2.8?
>>>>>>
>>>>>> Thanks,
>>>>>>
>>>>>> Peter
>>>>>>
>>>>>> On Fri, Feb 9, 2018 at 4:41 PM, Nick Hall <[hidden email]> wrote:
>>>>>>> Version 4.2.8, a new maintenance release, has been released.
>>>>>>>
>>>>>>> Make sure to backup before you upgrade.
>>>>>>>
>>>>>>> See:
>>>>>>> https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup
>>>>>>>
>>>>>>> Changes since 4.2.7:
>>>>>>>
>>>>>>> * Fix Geography views for bad 'dbstate.is_open()' test
>>>>>>>
>>>>>>>
>>>>>>> ------------------------------------------------------------------------------
>>>>>>> Check out the vibrant tech community on one of the world's most
>>>>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>>>>> _______________________________________________
>>>>>>> Gramps-users mailing list
>>>>>>> [hidden email]
>>>>>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>>>>>> https://gramps-project.org
>>>>>>
>>>>>> ------------------------------------------------------------------------------
>>>>>> Check out the vibrant tech community on one of the world's most
>>>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>>>> _______________________________________________
>>>>>> Gramps-users mailing list
>>>>>> [hidden email]
>>>>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>>>>> https://gramps-project.org
>>>>>>
>>>>>
>>>>>
>>>>>
>>>>> ------------------------------------------------------------------------------
>>>>> Check out the vibrant tech community on one of the world's most
>>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>>> _______________________________________________
>>>>> Gramps-users mailing list
>>>>> [hidden email]
>>>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>>>> https://gramps-project.org
>>>
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Gramps-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>>> https://gramps-project.org
>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
> https://gramps-project.org

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Simon C. Tremblay
In reply to this post by Josip
Thanks Josip.  

Would it be much efforts for you to build a 32 version of the package?

Regards,

Simon

On 9 February 2018 at 22:19, Josip <[hidden email]> wrote:
9.2.2018. u 22:41, Nick Hall je napisao/la:
Version 4.2.8, a new maintenance release, has been released.

Make sure to backup before you upgrade.

64-bit Windows version available as:
GrampsAIO-4.2.8-1_win64.exe


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Josip
11.2.2018. u 23:15, Simon C. Tremblay je napisao/la:
> Thanks Josip.
>
> Would it be much efforts for you to build a 32 version of the package?
>
> Regards,
>
> Simon
>

I think other Gramps developer are working on 32 version now.


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

prculley
I've actually got it built, but have a problem in a library that supports the graphview addon.  If I can get that resolved, you should have it "Real Soon Now".

Paul C.

On Sun, Feb 11, 2018 at 4:29 PM, Josip <[hidden email]> wrote:
11.2.2018. u 23:15, Simon C. Tremblay je napisao/la:
Thanks Josip.

Would it be much efforts for you to build a 32 version of the package?

Regards,

Simon


I think other Gramps developer are working on 32 version now.



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

prculley
The GrampsAIO-4.2.8-1_win32.exe has been uploaded to the Gramps releases.  As my first attempt to make an AIO, it may not be perfect.  This SHOULD be identical in functionality to the 64-bit version already released for Windows, but usable on 32-bit Windows installations.

Make sure to backup before you upgrade.

See: https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup

Please make bug reports if you have any issues.  https://gramps-project.org/bugs/bug_report_page.php

Paul C.

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Dave Scheipers
In reply to this post by prculley
For those interested, I see the Win32 version of 4.2.8 has also been posted.

https://github.com/gramps-project/gramps/releases

On Sun, Feb 11, 2018 at 6:35 PM, Paul Culley <[hidden email]> wrote:

> I've actually got it built, but have a problem in a library that supports
> the graphview addon.  If I can get that resolved, you should have it "Real
> Soon Now".
>
> Paul C.
>
> On Sun, Feb 11, 2018 at 4:29 PM, Josip <[hidden email]> wrote:
>>
>> 11.2.2018. u 23:15, Simon C. Tremblay je napisao/la:
>>>
>>> Thanks Josip.
>>>
>>> Would it be much efforts for you to build a 32 version of the package?
>>>
>>> Regards,
>>>
>>> Simon
>>>
>>
>> I think other Gramps developer are working on 32 version now.
>>
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Gramps-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/gramps-users
>> https://gramps-project.org
>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
> https://gramps-project.org

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: Gramps 4.2.8 released

Simon C. Tremblay
In reply to this post by prculley
Thank you Paul,

I'll test it as soon as I can and post comments.  
It'll be good to catch up to recent bugfixes. 
I've been stuck on 4.2.5 for a while.

Regards,

Simon

On 17 February 2018 at 08:52, Paul Culley <[hidden email]> wrote:
The GrampsAIO-4.2.8-1_win32.exe has been uploaded to the Gramps releases.  As my first attempt to make an AIO, it may not be perfect.  This SHOULD be identical in functionality to the 64-bit version already released for Windows, but usable on 32-bit Windows installations.

Make sure to backup before you upgrade.

See: https://www.gramps-project.org/wiki/index.php?title=How_to_make_a_backup

Please make bug reports if you have any issues.  https://gramps-project.org/bugs/bug_report_page.php

Paul C.

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org